Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network35.46.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
35.46.0.0
Broadcast address
35.46.127.255
First usable
35.46.0.1
Last usable
35.46.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 232E0000 · Integer 590217216 to 590249983
Reverse DNS zones
0.46.35.in-addr.arpa
1.46.35.in-addr.arpa
2.46.35.in-addr.arpa
3.46.35.in-addr.arpa
4.46.35.in-addr.arpa
5.46.35.in-addr.arpa
6.46.35.in-addr.arpa
7.46.35.in-addr.arpa
8.46.35.in-addr.arpa
9.46.35.in-addr.arpa
10.46.35.in-addr.arpa
11.46.35.in-addr.arpa
12.46.35.in-addr.arpa
13.46.35.in-addr.arpa
14.46.35.in-addr.arpa
15.46.35.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100011.00101110.00000000.0000000035.46.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00100011.00101110.00000000.0000000035.46.0.0
Broadcast00100011.00101110.01111111.1111111135.46.127.255
Split into smaller subnets/25

35.46.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
135.46.0.0/2535.46.0.1 to 35.46.0.12635.46.0.127126
235.46.0.128/2535.46.0.129 to 35.46.0.25435.46.0.255126
335.46.1.0/2535.46.1.1 to 35.46.1.12635.46.1.127126
435.46.1.128/2535.46.1.129 to 35.46.1.25435.46.1.255126
535.46.2.0/2535.46.2.1 to 35.46.2.12635.46.2.127126
635.46.2.128/2535.46.2.129 to 35.46.2.25435.46.2.255126
735.46.3.0/2535.46.3.1 to 35.46.3.12635.46.3.127126
835.46.3.128/2535.46.3.129 to 35.46.3.25435.46.3.255126
935.46.4.0/2535.46.4.1 to 35.46.4.12635.46.4.127126
1035.46.4.128/2535.46.4.129 to 35.46.4.25435.46.4.255126
1135.46.5.0/2535.46.5.1 to 35.46.5.12635.46.5.127126
1235.46.5.128/2535.46.5.129 to 35.46.5.25435.46.5.255126
1335.46.6.0/2535.46.6.1 to 35.46.6.12635.46.6.127126
1435.46.6.128/2535.46.6.129 to 35.46.6.25435.46.6.255126
1535.46.7.0/2535.46.7.1 to 35.46.7.12635.46.7.127126
1635.46.7.128/2535.46.7.129 to 35.46.7.25435.46.7.255126
1735.46.8.0/2535.46.8.1 to 35.46.8.12635.46.8.127126
1835.46.8.128/2535.46.8.129 to 35.46.8.25435.46.8.255126
1935.46.9.0/2535.46.9.1 to 35.46.9.12635.46.9.127126
2035.46.9.128/2535.46.9.129 to 35.46.9.25435.46.9.255126
2135.46.10.0/2535.46.10.1 to 35.46.10.12635.46.10.127126
2235.46.10.128/2535.46.10.129 to 35.46.10.25435.46.10.255126
2335.46.11.0/2535.46.11.1 to 35.46.11.12635.46.11.127126
2435.46.11.128/2535.46.11.129 to 35.46.11.25435.46.11.255126
2535.46.12.0/2535.46.12.1 to 35.46.12.12635.46.12.127126
2635.46.12.128/2535.46.12.129 to 35.46.12.25435.46.12.255126
2735.46.13.0/2535.46.13.1 to 35.46.13.12635.46.13.127126
2835.46.13.128/2535.46.13.129 to 35.46.13.25435.46.13.255126
2935.46.14.0/2535.46.14.1 to 35.46.14.12635.46.14.127126
3035.46.14.128/2535.46.14.129 to 35.46.14.25435.46.14.255126
3135.46.15.0/2535.46.15.1 to 35.46.15.12635.46.15.127126
3235.46.15.128/2535.46.15.129 to 35.46.15.25435.46.15.255126
3335.46.16.0/2535.46.16.1 to 35.46.16.12635.46.16.127126
3435.46.16.128/2535.46.16.129 to 35.46.16.25435.46.16.255126
3535.46.17.0/2535.46.17.1 to 35.46.17.12635.46.17.127126
3635.46.17.128/2535.46.17.129 to 35.46.17.25435.46.17.255126
3735.46.18.0/2535.46.18.1 to 35.46.18.12635.46.18.127126
3835.46.18.128/2535.46.18.129 to 35.46.18.25435.46.18.255126
3935.46.19.0/2535.46.19.1 to 35.46.19.12635.46.19.127126
4035.46.19.128/2535.46.19.129 to 35.46.19.25435.46.19.255126
4135.46.20.0/2535.46.20.1 to 35.46.20.12635.46.20.127126
4235.46.20.128/2535.46.20.129 to 35.46.20.25435.46.20.255126
4335.46.21.0/2535.46.21.1 to 35.46.21.12635.46.21.127126
4435.46.21.128/2535.46.21.129 to 35.46.21.25435.46.21.255126
4535.46.22.0/2535.46.22.1 to 35.46.22.12635.46.22.127126
4635.46.22.128/2535.46.22.129 to 35.46.22.25435.46.22.255126
4735.46.23.0/2535.46.23.1 to 35.46.23.12635.46.23.127126
4835.46.23.128/2535.46.23.129 to 35.46.23.25435.46.23.255126
4935.46.24.0/2535.46.24.1 to 35.46.24.12635.46.24.127126
5035.46.24.128/2535.46.24.129 to 35.46.24.25435.46.24.255126
5135.46.25.0/2535.46.25.1 to 35.46.25.12635.46.25.127126
5235.46.25.128/2535.46.25.129 to 35.46.25.25435.46.25.255126
5335.46.26.0/2535.46.26.1 to 35.46.26.12635.46.26.127126
5435.46.26.128/2535.46.26.129 to 35.46.26.25435.46.26.255126
5535.46.27.0/2535.46.27.1 to 35.46.27.12635.46.27.127126
5635.46.27.128/2535.46.27.129 to 35.46.27.25435.46.27.255126
5735.46.28.0/2535.46.28.1 to 35.46.28.12635.46.28.127126
5835.46.28.128/2535.46.28.129 to 35.46.28.25435.46.28.255126
5935.46.29.0/2535.46.29.1 to 35.46.29.12635.46.29.127126
6035.46.29.128/2535.46.29.129 to 35.46.29.25435.46.29.255126
6135.46.30.0/2535.46.30.1 to 35.46.30.12635.46.30.127126
6235.46.30.128/2535.46.30.129 to 35.46.30.25435.46.30.255126
6335.46.31.0/2535.46.31.1 to 35.46.31.12635.46.31.127126
6435.46.31.128/2535.46.31.129 to 35.46.31.25435.46.31.255126
6535.46.32.0/2535.46.32.1 to 35.46.32.12635.46.32.127126
6635.46.32.128/2535.46.32.129 to 35.46.32.25435.46.32.255126
6735.46.33.0/2535.46.33.1 to 35.46.33.12635.46.33.127126
6835.46.33.128/2535.46.33.129 to 35.46.33.25435.46.33.255126
6935.46.34.0/2535.46.34.1 to 35.46.34.12635.46.34.127126
7035.46.34.128/2535.46.34.129 to 35.46.34.25435.46.34.255126
7135.46.35.0/2535.46.35.1 to 35.46.35.12635.46.35.127126
7235.46.35.128/2535.46.35.129 to 35.46.35.25435.46.35.255126
7335.46.36.0/2535.46.36.1 to 35.46.36.12635.46.36.127126
7435.46.36.128/2535.46.36.129 to 35.46.36.25435.46.36.255126
7535.46.37.0/2535.46.37.1 to 35.46.37.12635.46.37.127126
7635.46.37.128/2535.46.37.129 to 35.46.37.25435.46.37.255126
7735.46.38.0/2535.46.38.1 to 35.46.38.12635.46.38.127126
7835.46.38.128/2535.46.38.129 to 35.46.38.25435.46.38.255126
7935.46.39.0/2535.46.39.1 to 35.46.39.12635.46.39.127126
8035.46.39.128/2535.46.39.129 to 35.46.39.25435.46.39.255126
8135.46.40.0/2535.46.40.1 to 35.46.40.12635.46.40.127126
8235.46.40.128/2535.46.40.129 to 35.46.40.25435.46.40.255126
8335.46.41.0/2535.46.41.1 to 35.46.41.12635.46.41.127126
8435.46.41.128/2535.46.41.129 to 35.46.41.25435.46.41.255126
8535.46.42.0/2535.46.42.1 to 35.46.42.12635.46.42.127126
8635.46.42.128/2535.46.42.129 to 35.46.42.25435.46.42.255126
8735.46.43.0/2535.46.43.1 to 35.46.43.12635.46.43.127126
8835.46.43.128/2535.46.43.129 to 35.46.43.25435.46.43.255126
8935.46.44.0/2535.46.44.1 to 35.46.44.12635.46.44.127126
9035.46.44.128/2535.46.44.129 to 35.46.44.25435.46.44.255126
9135.46.45.0/2535.46.45.1 to 35.46.45.12635.46.45.127126
9235.46.45.128/2535.46.45.129 to 35.46.45.25435.46.45.255126
9335.46.46.0/2535.46.46.1 to 35.46.46.12635.46.46.127126
9435.46.46.128/2535.46.46.129 to 35.46.46.25435.46.46.255126
9535.46.47.0/2535.46.47.1 to 35.46.47.12635.46.47.127126
9635.46.47.128/2535.46.47.129 to 35.46.47.25435.46.47.255126
9735.46.48.0/2535.46.48.1 to 35.46.48.12635.46.48.127126
9835.46.48.128/2535.46.48.129 to 35.46.48.25435.46.48.255126
9935.46.49.0/2535.46.49.1 to 35.46.49.12635.46.49.127126
10035.46.49.128/2535.46.49.129 to 35.46.49.25435.46.49.255126
10135.46.50.0/2535.46.50.1 to 35.46.50.12635.46.50.127126
10235.46.50.128/2535.46.50.129 to 35.46.50.25435.46.50.255126
10335.46.51.0/2535.46.51.1 to 35.46.51.12635.46.51.127126
10435.46.51.128/2535.46.51.129 to 35.46.51.25435.46.51.255126
10535.46.52.0/2535.46.52.1 to 35.46.52.12635.46.52.127126
10635.46.52.128/2535.46.52.129 to 35.46.52.25435.46.52.255126
10735.46.53.0/2535.46.53.1 to 35.46.53.12635.46.53.127126
10835.46.53.128/2535.46.53.129 to 35.46.53.25435.46.53.255126
10935.46.54.0/2535.46.54.1 to 35.46.54.12635.46.54.127126
11035.46.54.128/2535.46.54.129 to 35.46.54.25435.46.54.255126
11135.46.55.0/2535.46.55.1 to 35.46.55.12635.46.55.127126
11235.46.55.128/2535.46.55.129 to 35.46.55.25435.46.55.255126
11335.46.56.0/2535.46.56.1 to 35.46.56.12635.46.56.127126
11435.46.56.128/2535.46.56.129 to 35.46.56.25435.46.56.255126
11535.46.57.0/2535.46.57.1 to 35.46.57.12635.46.57.127126
11635.46.57.128/2535.46.57.129 to 35.46.57.25435.46.57.255126
11735.46.58.0/2535.46.58.1 to 35.46.58.12635.46.58.127126
11835.46.58.128/2535.46.58.129 to 35.46.58.25435.46.58.255126
11935.46.59.0/2535.46.59.1 to 35.46.59.12635.46.59.127126
12035.46.59.128/2535.46.59.129 to 35.46.59.25435.46.59.255126
12135.46.60.0/2535.46.60.1 to 35.46.60.12635.46.60.127126
12235.46.60.128/2535.46.60.129 to 35.46.60.25435.46.60.255126
12335.46.61.0/2535.46.61.1 to 35.46.61.12635.46.61.127126
12435.46.61.128/2535.46.61.129 to 35.46.61.25435.46.61.255126
12535.46.62.0/2535.46.62.1 to 35.46.62.12635.46.62.127126
12635.46.62.128/2535.46.62.129 to 35.46.62.25435.46.62.255126
12735.46.63.0/2535.46.63.1 to 35.46.63.12635.46.63.127126
12835.46.63.128/2535.46.63.129 to 35.46.63.25435.46.63.255126
12935.46.64.0/2535.46.64.1 to 35.46.64.12635.46.64.127126
13035.46.64.128/2535.46.64.129 to 35.46.64.25435.46.64.255126
13135.46.65.0/2535.46.65.1 to 35.46.65.12635.46.65.127126
13235.46.65.128/2535.46.65.129 to 35.46.65.25435.46.65.255126
13335.46.66.0/2535.46.66.1 to 35.46.66.12635.46.66.127126
13435.46.66.128/2535.46.66.129 to 35.46.66.25435.46.66.255126
13535.46.67.0/2535.46.67.1 to 35.46.67.12635.46.67.127126
13635.46.67.128/2535.46.67.129 to 35.46.67.25435.46.67.255126
13735.46.68.0/2535.46.68.1 to 35.46.68.12635.46.68.127126
13835.46.68.128/2535.46.68.129 to 35.46.68.25435.46.68.255126
13935.46.69.0/2535.46.69.1 to 35.46.69.12635.46.69.127126
14035.46.69.128/2535.46.69.129 to 35.46.69.25435.46.69.255126
14135.46.70.0/2535.46.70.1 to 35.46.70.12635.46.70.127126
14235.46.70.128/2535.46.70.129 to 35.46.70.25435.46.70.255126
14335.46.71.0/2535.46.71.1 to 35.46.71.12635.46.71.127126
14435.46.71.128/2535.46.71.129 to 35.46.71.25435.46.71.255126
14535.46.72.0/2535.46.72.1 to 35.46.72.12635.46.72.127126
14635.46.72.128/2535.46.72.129 to 35.46.72.25435.46.72.255126
14735.46.73.0/2535.46.73.1 to 35.46.73.12635.46.73.127126
14835.46.73.128/2535.46.73.129 to 35.46.73.25435.46.73.255126
14935.46.74.0/2535.46.74.1 to 35.46.74.12635.46.74.127126
15035.46.74.128/2535.46.74.129 to 35.46.74.25435.46.74.255126
15135.46.75.0/2535.46.75.1 to 35.46.75.12635.46.75.127126
15235.46.75.128/2535.46.75.129 to 35.46.75.25435.46.75.255126
15335.46.76.0/2535.46.76.1 to 35.46.76.12635.46.76.127126
15435.46.76.128/2535.46.76.129 to 35.46.76.25435.46.76.255126
15535.46.77.0/2535.46.77.1 to 35.46.77.12635.46.77.127126
15635.46.77.128/2535.46.77.129 to 35.46.77.25435.46.77.255126
15735.46.78.0/2535.46.78.1 to 35.46.78.12635.46.78.127126
15835.46.78.128/2535.46.78.129 to 35.46.78.25435.46.78.255126
15935.46.79.0/2535.46.79.1 to 35.46.79.12635.46.79.127126
16035.46.79.128/2535.46.79.129 to 35.46.79.25435.46.79.255126
16135.46.80.0/2535.46.80.1 to 35.46.80.12635.46.80.127126
16235.46.80.128/2535.46.80.129 to 35.46.80.25435.46.80.255126
16335.46.81.0/2535.46.81.1 to 35.46.81.12635.46.81.127126
16435.46.81.128/2535.46.81.129 to 35.46.81.25435.46.81.255126
16535.46.82.0/2535.46.82.1 to 35.46.82.12635.46.82.127126
16635.46.82.128/2535.46.82.129 to 35.46.82.25435.46.82.255126
16735.46.83.0/2535.46.83.1 to 35.46.83.12635.46.83.127126
16835.46.83.128/2535.46.83.129 to 35.46.83.25435.46.83.255126
16935.46.84.0/2535.46.84.1 to 35.46.84.12635.46.84.127126
17035.46.84.128/2535.46.84.129 to 35.46.84.25435.46.84.255126
17135.46.85.0/2535.46.85.1 to 35.46.85.12635.46.85.127126
17235.46.85.128/2535.46.85.129 to 35.46.85.25435.46.85.255126
17335.46.86.0/2535.46.86.1 to 35.46.86.12635.46.86.127126
17435.46.86.128/2535.46.86.129 to 35.46.86.25435.46.86.255126
17535.46.87.0/2535.46.87.1 to 35.46.87.12635.46.87.127126
17635.46.87.128/2535.46.87.129 to 35.46.87.25435.46.87.255126
17735.46.88.0/2535.46.88.1 to 35.46.88.12635.46.88.127126
17835.46.88.128/2535.46.88.129 to 35.46.88.25435.46.88.255126
17935.46.89.0/2535.46.89.1 to 35.46.89.12635.46.89.127126
18035.46.89.128/2535.46.89.129 to 35.46.89.25435.46.89.255126
18135.46.90.0/2535.46.90.1 to 35.46.90.12635.46.90.127126
18235.46.90.128/2535.46.90.129 to 35.46.90.25435.46.90.255126
18335.46.91.0/2535.46.91.1 to 35.46.91.12635.46.91.127126
18435.46.91.128/2535.46.91.129 to 35.46.91.25435.46.91.255126
18535.46.92.0/2535.46.92.1 to 35.46.92.12635.46.92.127126
18635.46.92.128/2535.46.92.129 to 35.46.92.25435.46.92.255126
18735.46.93.0/2535.46.93.1 to 35.46.93.12635.46.93.127126
18835.46.93.128/2535.46.93.129 to 35.46.93.25435.46.93.255126
18935.46.94.0/2535.46.94.1 to 35.46.94.12635.46.94.127126
19035.46.94.128/2535.46.94.129 to 35.46.94.25435.46.94.255126
19135.46.95.0/2535.46.95.1 to 35.46.95.12635.46.95.127126
19235.46.95.128/2535.46.95.129 to 35.46.95.25435.46.95.255126
19335.46.96.0/2535.46.96.1 to 35.46.96.12635.46.96.127126
19435.46.96.128/2535.46.96.129 to 35.46.96.25435.46.96.255126
19535.46.97.0/2535.46.97.1 to 35.46.97.12635.46.97.127126
19635.46.97.128/2535.46.97.129 to 35.46.97.25435.46.97.255126
19735.46.98.0/2535.46.98.1 to 35.46.98.12635.46.98.127126
19835.46.98.128/2535.46.98.129 to 35.46.98.25435.46.98.255126
19935.46.99.0/2535.46.99.1 to 35.46.99.12635.46.99.127126
20035.46.99.128/2535.46.99.129 to 35.46.99.25435.46.99.255126
20135.46.100.0/2535.46.100.1 to 35.46.100.12635.46.100.127126
20235.46.100.128/2535.46.100.129 to 35.46.100.25435.46.100.255126
20335.46.101.0/2535.46.101.1 to 35.46.101.12635.46.101.127126
20435.46.101.128/2535.46.101.129 to 35.46.101.25435.46.101.255126
20535.46.102.0/2535.46.102.1 to 35.46.102.12635.46.102.127126
20635.46.102.128/2535.46.102.129 to 35.46.102.25435.46.102.255126
20735.46.103.0/2535.46.103.1 to 35.46.103.12635.46.103.127126
20835.46.103.128/2535.46.103.129 to 35.46.103.25435.46.103.255126
20935.46.104.0/2535.46.104.1 to 35.46.104.12635.46.104.127126
21035.46.104.128/2535.46.104.129 to 35.46.104.25435.46.104.255126
21135.46.105.0/2535.46.105.1 to 35.46.105.12635.46.105.127126
21235.46.105.128/2535.46.105.129 to 35.46.105.25435.46.105.255126
21335.46.106.0/2535.46.106.1 to 35.46.106.12635.46.106.127126
21435.46.106.128/2535.46.106.129 to 35.46.106.25435.46.106.255126
21535.46.107.0/2535.46.107.1 to 35.46.107.12635.46.107.127126
21635.46.107.128/2535.46.107.129 to 35.46.107.25435.46.107.255126
21735.46.108.0/2535.46.108.1 to 35.46.108.12635.46.108.127126
21835.46.108.128/2535.46.108.129 to 35.46.108.25435.46.108.255126
21935.46.109.0/2535.46.109.1 to 35.46.109.12635.46.109.127126
22035.46.109.128/2535.46.109.129 to 35.46.109.25435.46.109.255126
22135.46.110.0/2535.46.110.1 to 35.46.110.12635.46.110.127126
22235.46.110.128/2535.46.110.129 to 35.46.110.25435.46.110.255126
22335.46.111.0/2535.46.111.1 to 35.46.111.12635.46.111.127126
22435.46.111.128/2535.46.111.129 to 35.46.111.25435.46.111.255126
22535.46.112.0/2535.46.112.1 to 35.46.112.12635.46.112.127126
22635.46.112.128/2535.46.112.129 to 35.46.112.25435.46.112.255126
22735.46.113.0/2535.46.113.1 to 35.46.113.12635.46.113.127126
22835.46.113.128/2535.46.113.129 to 35.46.113.25435.46.113.255126
22935.46.114.0/2535.46.114.1 to 35.46.114.12635.46.114.127126
23035.46.114.128/2535.46.114.129 to 35.46.114.25435.46.114.255126
23135.46.115.0/2535.46.115.1 to 35.46.115.12635.46.115.127126
23235.46.115.128/2535.46.115.129 to 35.46.115.25435.46.115.255126
23335.46.116.0/2535.46.116.1 to 35.46.116.12635.46.116.127126
23435.46.116.128/2535.46.116.129 to 35.46.116.25435.46.116.255126
23535.46.117.0/2535.46.117.1 to 35.46.117.12635.46.117.127126
23635.46.117.128/2535.46.117.129 to 35.46.117.25435.46.117.255126
23735.46.118.0/2535.46.118.1 to 35.46.118.12635.46.118.127126
23835.46.118.128/2535.46.118.129 to 35.46.118.25435.46.118.255126
23935.46.119.0/2535.46.119.1 to 35.46.119.12635.46.119.127126
24035.46.119.128/2535.46.119.129 to 35.46.119.25435.46.119.255126
24135.46.120.0/2535.46.120.1 to 35.46.120.12635.46.120.127126
24235.46.120.128/2535.46.120.129 to 35.46.120.25435.46.120.255126
24335.46.121.0/2535.46.121.1 to 35.46.121.12635.46.121.127126
24435.46.121.128/2535.46.121.129 to 35.46.121.25435.46.121.255126
24535.46.122.0/2535.46.122.1 to 35.46.122.12635.46.122.127126
24635.46.122.128/2535.46.122.129 to 35.46.122.25435.46.122.255126
24735.46.123.0/2535.46.123.1 to 35.46.123.12635.46.123.127126
24835.46.123.128/2535.46.123.129 to 35.46.123.25435.46.123.255126
24935.46.124.0/2535.46.124.1 to 35.46.124.12635.46.124.127126
25035.46.124.128/2535.46.124.129 to 35.46.124.25435.46.124.255126
25135.46.125.0/2535.46.125.1 to 35.46.125.12635.46.125.127126
25235.46.125.128/2535.46.125.129 to 35.46.125.25435.46.125.255126
25335.46.126.0/2535.46.126.1 to 35.46.126.12635.46.126.127126
25435.46.126.128/2535.46.126.129 to 35.46.126.25435.46.126.255126
25535.46.127.0/2535.46.127.1 to 35.46.127.12635.46.127.127126
25635.46.127.128/2535.46.127.129 to 35.46.127.25435.46.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses